---
updatedAt: 2026-05-08T10:57:51.000Z
agentTools:
  projectIndex: https://developer.easee.com/llms.txt
---

# Get scheduling state

Get the charger's scheduling state.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Easee Cloud API",
    "version": "v1",
    "description": "OpenAPI Definitions for Easee Cloud APIs.\n"
  },
  "servers": [
    {
      "url": "https://api.easee.com"
    }
  ],
  "security": [
    {
      "Bearer": []
    }
  ],
  "tags": [
    {
      "name": "State",
      "description": "Read the active scheduling state of a charger.",
      "x-displayName": "State"
    }
  ],
  "paths": {
    "/api/chargers/{chargerId}/schedules": {
      "get": {
        "tags": [
          "State"
        ],
        "summary": "Get scheduling state",
        "description": "Get the charger's scheduling state.",
        "operationId": "GetChargersSchedules",
        "parameters": [
          {
            "name": "chargerId",
            "in": "path",
            "required": true,
            "schema": {
              "type": "string"
            },
            "x-position": 1
          }
        ],
        "responses": {
          "200": {
            "description": "",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Scheduled_charging_GetScheduleStateResponse"
                }
              }
            }
          },
          "409": {
            "description": "Conflict",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Scheduled_charging_ProblemDetails"
                }
              }
            }
          },
          "500": {
            "description": "Internal Server Error",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/Scheduled_charging_ProblemDetails"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "Scheduled_charging_GetScheduleStateResponse": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "enabled"
        ],
        "properties": {
          "enabled": {
            "type": "string",
            "description": "The enabled schedule type or 'none' if no schedule is enabled for the charger."
          },
          "delayed": {
            "description": "The stored delayed schedule for the charger.",
            "nullable": true,
            "oneOf": [
              {
                "$ref": "#/components/schemas/Scheduled_charging_DelayedScheduleModel"
              }
            ]
          },
          "daily": {
            "description": "The stored daily schedule for the charger.",
            "nullable": true,
            "oneOf": [
              {
                "$ref": "#/components/schemas/Scheduled_charging_DailyScheduleModel"
              }
            ]
          },
          "weekly": {
            "description": "The stored weekly schedule for the charger.",
            "nullable": true,
            "oneOf": [
              {
                "$ref": "#/components/schemas/Scheduled_charging_WeeklyScheduleModel"
              }
            ]
          },
          "offPeak": {
            "description": "The stored off-peak schedule for the charger.",
            "nullable": true,
            "oneOf": [
              {
                "$ref": "#/components/schemas/Scheduled_charging_OffPeakScheduleModel"
              }
            ]
          },
          "tariff": {
            "description": "The stored tariff schedule for the charger.",
            "nullable": true,
            "oneOf": [
              {
                "$ref": "#/components/schemas/Scheduled_charging_TariffScheduleModel"
              }
            ]
          }
        }
      },
      "Scheduled_charging_DelayedScheduleModel": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "timezone",
          "startTime",
          "maximumAmps",
          "elapsed"
        ],
        "properties": {
          "timezone": {
            "type": "string",
            "description": "IANA time zone identifier for the schedule."
          },
          "startTime": {
            "type": "string",
            "description": "Start time of the charging schedule.",
            "format": "time"
          },
          "maximumAmps": {
            "type": "integer",
            "description": "The maximum electrical current in amperes available to the vehicle throughout the charging schedule.",
            "format": "int32"
          },
          "elapsed": {
            "type": "boolean",
            "description": "Whether the StartTime has elapsed, after which the MaximumAmps limit applies indefinitely."
          }
        }
      },
      "Scheduled_charging_DailyScheduleModel": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "timezone",
          "periods"
        ],
        "properties": {
          "timezone": {
            "type": "string",
            "description": "IANA time zone identifier for the schedule."
          },
          "periods": {
            "type": "array",
            "description": "Collection of time periods during which charging is permitted.",
            "items": {
              "$ref": "#/components/schemas/Scheduled_charging_DailySchedulePeriod"
            }
          }
        }
      },
      "Scheduled_charging_DailySchedulePeriod": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "startTime",
          "stopTime",
          "maximumAmps"
        ],
        "properties": {
          "startTime": {
            "type": "string",
            "description": "Start time of the charging period.",
            "format": "time"
          },
          "stopTime": {
            "type": "string",
            "description": "Stop time of the charging period.",
            "format": "time"
          },
          "maximumAmps": {
            "type": "integer",
            "description": "The maximum electrical current in amperes permitted by the schedule during this charging period.",
            "format": "int32"
          }
        }
      },
      "Scheduled_charging_WeeklyScheduleModel": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "timezone",
          "periods"
        ],
        "properties": {
          "timezone": {
            "type": "string",
            "description": "IANA time zone identifier for the schedule."
          },
          "periods": {
            "type": "array",
            "description": "Collection of  time periods during which charging is permitted.",
            "items": {
              "$ref": "#/components/schemas/Scheduled_charging_WeeklySchedulePeriod"
            }
          }
        }
      },
      "Scheduled_charging_WeeklySchedulePeriod": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "startDay",
          "startTime",
          "stopDay",
          "stopTime",
          "maximumAmps"
        ],
        "properties": {
          "startDay": {
            "description": "The day of week on which the schedule period begins.",
            "oneOf": [
              {
                "$ref": "#/components/schemas/Scheduled_charging_DayOfWeek"
              }
            ]
          },
          "startTime": {
            "type": "string",
            "description": "The time of day on which the schedule period begins.",
            "format": "time"
          },
          "stopDay": {
            "description": "The day of week on which the schedule period ends.",
            "oneOf": [
              {
                "$ref": "#/components/schemas/Scheduled_charging_DayOfWeek"
              }
            ]
          },
          "stopTime": {
            "type": "string",
            "description": "The time of day on which the schedule period ends.",
            "format": "time"
          },
          "maximumAmps": {
            "type": "integer",
            "description": "The maximum electrical current in amperes permitted by the schedule during this charging period.",
            "format": "int32"
          }
        }
      },
      "Scheduled_charging_DayOfWeek": {
        "type": "string",
        "description": "",
        "x-enumNames": [
          "Sunday",
          "Monday",
          "Tuesday",
          "Wednesday",
          "Thursday",
          "Friday",
          "Saturday"
        ],
        "enum": [
          "sunday",
          "monday",
          "tuesday",
          "wednesday",
          "thursday",
          "friday",
          "saturday"
        ]
      },
      "Scheduled_charging_OffPeakScheduleModel": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "timezone",
          "template",
          "randomizedDelay",
          "periods"
        ],
        "properties": {
          "timezone": {
            "type": "string",
            "description": "IANA timezone identifier of timezone to use for the schedule."
          },
          "template": {
            "type": "string",
            "description": "The off-peak template the schedule is based on."
          },
          "randomizedDelay": {
            "description": "The configured parameters for randomized delay.",
            "oneOf": [
              {
                "$ref": "#/components/schemas/Scheduled_charging_OffPeakRandomizedDelay"
              }
            ]
          },
          "periods": {
            "type": "array",
            "description": "Collection of time periods during which charging is permitted.",
            "items": {
              "$ref": "#/components/schemas/Scheduled_charging_OffPeakSchedulePeriod"
            }
          }
        }
      },
      "Scheduled_charging_OffPeakRandomizedDelay": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "enabled"
        ],
        "properties": {
          "enabled": {
            "type": "boolean",
            "description": "Whether randomized delay is enabled for the schedule."
          },
          "maximumSeconds": {
            "type": "integer",
            "description": "The configured maximum delay in seconds for the schedule.",
            "format": "int32",
            "nullable": true
          },
          "actualSeconds": {
            "type": "integer",
            "description": "The actual randomized delay offset calculated for this schedule.",
            "format": "int32",
            "nullable": true
          }
        }
      },
      "Scheduled_charging_OffPeakSchedulePeriod": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "startDay",
          "startTime",
          "stopDay",
          "stopTime",
          "maximumAmps"
        ],
        "properties": {
          "startDay": {
            "description": "The day of week on which the schedule period begins.",
            "oneOf": [
              {
                "$ref": "#/components/schemas/Scheduled_charging_DayOfWeek"
              }
            ]
          },
          "startTime": {
            "type": "string",
            "description": "The time of day on which the schedule period begins.",
            "format": "time"
          },
          "stopDay": {
            "description": "The day of week on which the schedule period ends.",
            "oneOf": [
              {
                "$ref": "#/components/schemas/Scheduled_charging_DayOfWeek"
              }
            ]
          },
          "stopTime": {
            "type": "string",
            "description": "The time of day on which the schedule period ends.",
            "format": "time"
          },
          "maximumAmps": {
            "type": "integer",
            "description": "The maximum electrical current in amperes permitted by the schedule during this charging period.",
            "format": "int32"
          }
        }
      },
      "Scheduled_charging_TariffScheduleModel": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "timezone",
          "status",
          "settings",
          "periods"
        ],
        "properties": {
          "timezone": {
            "type": "string",
            "description": "IANA time zone identifier for the schedule."
          },
          "status": {
            "type": "string",
            "description": "Current lifecycle status of the schedule."
          },
          "settings": {
            "description": "The settings the schedule was generated from.",
            "oneOf": [
              {
                "$ref": "#/components/schemas/Scheduled_charging_TariffSettings"
              }
            ]
          },
          "periods": {
            "type": "array",
            "description": "Collection of absolute time periods during which charging is permitted.",
            "items": {
              "$ref": "#/components/schemas/Scheduled_charging_TariffPeriod"
            }
          }
        }
      },
      "Scheduled_charging_TariffSettings": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "fallbackMaximumAmps"
        ],
        "properties": {
          "priceCap": {
            "type": "number",
            "description": "The maximum electricity price set for the schedule.",
            "format": "decimal",
            "nullable": true
          },
          "readyBy": {
            "type": "array",
            "description": "The set of ready-by times for the schedule.",
            "nullable": true,
            "items": {
              "$ref": "#/components/schemas/Scheduled_charging_ReadyByTimeEntry"
            }
          },
          "minimumHours": {
            "type": "number",
            "description": "Minimum number of hours to charge before the next ready-by time.",
            "format": "decimal",
            "nullable": true
          },
          "fallbackMaximumAmps": {
            "type": "integer",
            "description": "Maximum current in amperes allowed once the schedule has elapsed without regeneration.",
            "format": "int32"
          }
        }
      },
      "Scheduled_charging_ReadyByTimeEntry": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "day",
          "time"
        ],
        "properties": {
          "day": {
            "$ref": "#/components/schemas/Scheduled_charging_DayOfWeek"
          },
          "time": {
            "type": "string",
            "format": "time"
          }
        }
      },
      "Scheduled_charging_TariffPeriod": {
        "type": "object",
        "additionalProperties": false,
        "required": [
          "start",
          "stop",
          "maximumAmps"
        ],
        "properties": {
          "start": {
            "type": "string",
            "description": "The instant at which charging is permitted to begin.",
            "format": "date-time"
          },
          "stop": {
            "type": "string",
            "description": "The instant at which charging is no longer permitted.",
            "format": "date-time"
          },
          "maximumAmps": {
            "type": "integer",
            "description": "The maximum current in amperes permitted during this period.",
            "format": "int32"
          }
        }
      },
      "Scheduled_charging_ProblemDetails": {
        "type": "object",
        "additionalProperties": {
          "nullable": true
        },
        "properties": {
          "type": {
            "type": "string",
            "nullable": true
          },
          "title": {
            "type": "string",
            "nullable": true
          },
          "status": {
            "type": "integer",
            "format": "int32",
            "nullable": true
          },
          "detail": {
            "type": "string",
            "nullable": true
          },
          "instance": {
            "type": "string",
            "nullable": true
          }
        }
      }
    },
    "securitySchemes": {
      "Bearer": {
        "type": "apiKey",
        "description": "JWT Authorization header using the Bearer scheme. Example: \"Authorization: Bearer {token}\"",
        "name": "Authorization",
        "in": "header"
      }
    }
  }
}
```